Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.authagent.authapi.ciphers
Class AesCipher

    java.lang.Object
      com.rsa.authagent.authapi.ciphers.AesCipher

All Implemented Interfaces:
  SimpleCipher

    public class AesCipher

extends java.lang.Object
implements SimpleCipher

Constructor Summary
`AesCipher()`

Method Summary
`void` | `clear()` Clears all sensitive data in the object.
`byte[]` | `decrypt(byte[] data)` Performs decryption on the data with the initialized key.
`byte[]` | `decrypt(byte[] data, int offset, int length)` Performs decryption on the data with the initialized key.
`byte[]` | `decrypt(byte[] data, int offset, int length, byte[] tmp_tag_data)`
`byte[]` | `decrypt(byte[] data, int offset, int length, com.rsa.authagent.authapi.ciphers.TagDataHolder tagData)`
`byte[]` | `encrypt(byte[] data)` Performs encryption on the data with the initialized key.
`byte[]` | `encrypt(byte[] data, int offset, int length)` Performs encryption on the data with the initialized key.
`byte[]` | `encrypt(byte[] data, int offset, int length, com.rsa.authagent.authapi.ciphers.TagDataHolder tagData)`
`byte[]` | `getTagData()`
`void` | `setKey(byte[] key)` Initializes the cipher with the specified key.
`void` | `setKey(byte[] key, int offset, int length)` Initializes the cipher with the specified key.
`void` | `setKey(com.rsa.jsafe.JSAFE_SecretKey key)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AesCipher

    public AesCipher()

Method Detail

### setKey

    public void setKey(byte[] key)

  Description copied from interface: `SimpleCipher`
  Initializes the cipher with the specified key.

  Specified by:
    `setKey` in interface `SimpleCipher`
  Parameters:
    `key` - the key for subsequent cryptographic operations.
  See Also:
    `SimpleCipher.setKey(byte[])`

### setKey

    public void setKey(com.rsa.jsafe.JSAFE_SecretKey key)

### setKey

    public void setKey(byte[] key,
                       int offset,
                       int length)

  Description copied from interface: `SimpleCipher`
  Initializes the cipher with the specified key.

  Specified by:
    `setKey` in interface `SimpleCipher`
  Parameters:
    `key` - the key for subsequent cryptographic operations.
    `offset` - index to the first byte of the key.
    `length` - length of the key.
  See Also:
    `SimpleCipher.setKey(byte[], int, int)`

### encrypt

    public byte[] encrypt(byte[] data)

  Description copied from interface: `SimpleCipher`
  Performs encryption on the data with the initialized key.

  Specified by:
    `encrypt` in interface `SimpleCipher`
  Parameters:
    `data` - the data to encrypt.
  Returns:
    output in a byte array.
  See Also:
    `SimpleCipher.encrypt(byte[])`

### getTagData

    public byte[] getTagData()

### encrypt

    public byte[] encrypt(byte[] data,
                          int offset,
                          int length)

  Description copied from interface: `SimpleCipher`
  Performs encryption on the data with the initialized key.

  Specified by:
    `encrypt` in interface `SimpleCipher`
  Parameters:
    `data` - the data to encrypt.
    `offset` - index to the first byte of data to encrypt.
    `length` - length of the data to encrypt.
  Returns:
    output in a byte array.
  See Also:
    `SimpleCipher.encrypt(byte[], int, int)`

### encrypt

    public byte[] encrypt(byte[] data,
                          int offset,
                          int length,
                          com.rsa.authagent.authapi.ciphers.TagDataHolder tagData)

### decrypt

    public byte[] decrypt(byte[] data)

  Description copied from interface: `SimpleCipher`
  Performs decryption on the data with the initialized key.

  Specified by:
    `decrypt` in interface `SimpleCipher`
  Parameters:
    `data` - the data to decrypt.
  Returns:
    output in a byte array.
  See Also:
    `SimpleCipher.decrypt(byte[])`

### decrypt

    public byte[] decrypt(byte[] data,
                          int offset,
                          int length)

  Description copied from interface: `SimpleCipher`
  Performs decryption on the data with the initialized key.

  Specified by:
    `decrypt` in interface `SimpleCipher`
  Parameters:
    `data` - the data to decrypt.
    `offset` - index to the first byte of data to decrypt.
    `length` - length of the data to decrypt.
  Returns:
    output in a byte array.

### decrypt

    public byte[] decrypt(byte[] data,
                          int offset,
                          int length,
                          byte[] tmp_tag_data)

### decrypt

    public byte[] decrypt(byte[] data,
                          int offset,
                          int length,
                          com.rsa.authagent.authapi.ciphers.TagDataHolder tagData)

### clear

    public void clear()

  Description copied from interface: `SimpleCipher`
  Clears all sensitive data in the object.

  Specified by:
    `clear` in interface `SimpleCipher`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.